Package org.h2gis.functions.spatial.predicates

# Class ST_Covers

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.predicates.ST_Covers

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_Covers extends org.h2gis.api.DeterministicScalarFunction
ST_Covers returns true if no point in geometry B is outside geometry A.

Author:
  Adam Gouge, Erwan Bocher

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_Covers()`

## Method Summary

Modifier and Type
Method
Description
`static Boolean`
`covers(org.locationtech.jts.geom.Geometry geomA, org.locationtech.jts.geom.Geometry geomB)`
Returns true if no point in geometry B is outside geometry A.
`String`
`getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_Covers

public ST_Covers()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### covers

public static Boolean covers(org.locationtech.jts.geom.Geometry geomA, org.locationtech.jts.geom.Geometry geomB) throws SQLException
Returns true if no point in geometry B is outside geometry A.

Parameters:
  `geomA` - Geometry A
  `geomB` - Geometry B
Returns:
  True if no point in geometry B is outside geometry A
Throws:
  `SQLException`